About Y-Maze

About YMaze Task

 Top Next

Purpose

A simple task for the Med Associates Y-Maze

Supplied with:

· VB source project to illustrate VB programming techniques.
· Installer for the task, and required controls
· Task manual (this file).

Software requirements

Requires WhiskerServer v 2.4 or greater, configured to control the following devices.

Also requires (these will be installed if not present on the machine):

· Whisker SDK version 2.1 or greater.
· Microsoft CommonDialog Control (as supplied with VisualBasic 6.0).
· Microsoft ADO (ActiveX Data Objects) v2.5 or above (as supplied with Windows 2000 or later).

Data storage

· Text summary output to disk.
· Detailed storage into .csv format, compatible with spreadsheet packages.
· Database output to ODBC database (example MS Access database supplied).

Author

Task design by Rutsuko Ito & Mike Aitken.

Code by Mike Aitken (m.aitken@psychol.cam.ac.uk).

Copyright

Copyright © Cambridge University Technical Services Ltd


Required devices

 Top Previous Next

The program requires to claim devices in a given group name, with a set of device names as listed below in capitals:

# Box 1 definition

line 0 box1 EntranceLocoBeam

line 1 box1 CentreLocoBeam

line 2 box1 FarLocoBeam

line 3 box1 NosepokeLeft

line 4 box1 NosepokeCentre

line 5 box1 NosepokeRight

line 24 box1 CSLightLeft

line 25 box1 CSLightCentre

line 26 box1 CSLightRight

line 27 box1 SyringePumpLeft

line 28 box1 SyringePumpCentre

line 29 box1 SyringePumpRight

line 29 box1 ClickerLeft

line 30 box1 ClickerCentre

line 31 box1 ClickerRight

line 32 box1 Tone

line 33 box1 Houselight

# Box 2 definition

line 6 box2 EntranceLocoBeam

line 7 box2 CentreLocoBeam

line 8 box2 FarLocoBeam

line 9 box2 NosepokeLeft

line 10 box2 NosepokeCentre

line 11 box2 NosepokeRight

line 34 box2 CSLightLeft

line 35 box2 CSLightCentre

line 36 box2 CSLightRight

line 37 box2 SyringePumpLeft

line 38 box2 SyringePumpCentre

line 39 box2 SyringePumpRight

line 40 box2 ClickerLeft

line 41 box2 ClickerCentre

line 42 box2 ClickerRight

line 43 box2 Tone

line 44 box2 Houselight

# Box 3 definition

line 12 box3 EntranceLocoBeam

line 13 box3 CentreLocoBeam

line 14 box3 FarLocoBeam

line 15 box3 NosepokeLeft

line 16 box3 NosepokeCentre

line 17 box3 NosepokeRight

line 45 box3 CSLightLeft

line 46 box3 CSLightCentre

line 47 box3 CSLightRight

line 48 box3 SyringePumpLeft

line 49 box3 SyringePumpCentre

line 50 box3 SyringePumpRight

line 51 box3 ClickerLeft

line 52 box3 ClickerCentre

line 53 box3 ClickerRight

line 54 box3 Tone

line 55 box3 Houselight

Please ensure that these devices are available and listed in the device definition file in use by the server.


Using the task

 Top Previous Next

Installation

The installer will install all the files needed to run the task.

Confiuring the Database

The installer will install a default database. This (or a copy) must be configured with a Data Source Name via the ODBC control panel.

Configuring the task

A configuration can be loaded and saved for each subject, to allow rapid setup.

When the task is run, the following dialog is presented:

The task is configured by four groups of controls on the dialog:

BoxID - this must match the group name for the box in the device definition file. See Devices.

ClaimBox button. Click to connect to the server, and claim the box specified. This will illuminate the houselight.

WhiskerSettings button. Click to view or change the settings relating to the WhiskerServer. There is no need to use this button unless you are running the task and server on different computers.

Go button Click this button to start the task.

About Autoshape Click this button to display the 'About box' for the Autoshaping task.

Settings / Status Radio buttons Toggle between viewing the settings and status (on-line data) for the task.

Configuration controls:

BirdID - the name of the subject.

Session - the session number. If you load a saved session, the session number will be automatically incremented by one.

The bird ID and session number is used to generate default filenames of the form birdID_sessnum.csv and birdID_sessnum.txt. If you wish to specify different filenames, you can do so with the Choose response file and Choose summary file buttons.

Load Config... Click this button to load a previously saved configuration.

Save Config... Click this button to save a new configuration to disk.

Once a configuration file is loaded or saved, it will be automatically updated when the session starts.

Session settings:

Use these controls to specify the settings for the duration, number and behaviour of the trials. See Task Details for more information.

Stimulus settings:

Use these controls to specify the appearance of the autoshaping stimulus.


Task details

 Top Previous

Procedure

As soon as the box is claimed from the main dialog, the houselight is illuminated, and remains illuminated throughout the experiment.

Task starts when the 'Go' button is clicked, and begins with an ITI. During the ITI, the screen is blank. The duration of the ITI is specified, and can be randomized (+/- a random amount, up to a specified % of the total duration).

At end of the ITI, the stimulus is presented as soon as the bird moves to the front (left) perch. If the bird is not on the front perch, then the perchlight will flash to encourage birds to move there, providing the flashing option is selected. Once the subject sits on the front perch, the perch light ceases flashing, and the stimulus is presented.

The stimulus will appears in the centre of the screen, or in a random location on the screen, depending on the option selected. The stimulus is either a rectangle (of configurable colour), or a bitmap selected from the media directory. The size of the stimulus is specified as a proportion of the screen. The stimulus is presented either for a fixed duration, or optionally until a peck to the stimulus is detected (to a maximum duration).

A typical stimulus may look like this:

Screenshot of a stimulus presentation (white stimulus, black background).

The blue border has been added later so you can see the edges of the screen - it's not present on screen during the task.

The offset of the stimulus is followed by a configurable number of pulses on the feeder line, unless the option is specified to only present reinforcement if the subject pecked the stimulus during the presentation. After reinforcement, the trial is complete, and another ITI begins.

The task finishes after either a specified number of trials are complete, or after a specified interval.

Data

A summary of responding is presented on the main window during the session. This summary data is stored, in text form, to a text file in the 'Summary Files' folder.

A more detailed summary is also saved, in CSV format (compatible with spreadsheet programs) in the 'Response Files' folder.